﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@{
    ViewBag.Title = "Home Page";
    Layout = "~/Views/Shared/_Layout.cshtml";
    int uid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    
    @*@Content.Script("ChildAddEdit.js", Url)*@

    <script>
        function AcceptTransfer(Id,Aid)
        {
         window.location = "/MaAdmission/AcceptTransfer?Id=" + Id + "&AId=" + Aid;
        }

        function AcceptTransfer2(Id, Aid) {

            $("#btnAccept2").click(function () {
                window.location = "/MaAdmission/DeclineTransfer?Id=" + Id + "&AId=" + Aid;
            });

            $("#basic2").modal('show');
        }
    </script>
}
<div>
    <div class="header">
        <h1 class="page-title">
            Dashboard
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        }
        <li><a href="@CommonUtil.HomeAddress(@utype)">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            @{
                SSCWebDBEntities1 db = new SSCWebDBEntities1();
                int branchid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieBranchid].Value);

                CommonUtil common = new CommonUtil();
                int totalpend = db.MaEnquiries.Where(z => z.IsAdmission != true && z.BranchId == branchid).Count();

                //calculates pending enquiry follow up

                Status st = new Status();
                System.Data.DataTable dt = st.GetPendingFollowComplete("Enquiry", 0);
            }
            <div class="row-fluid">
                <div class="alert alert-info">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @{
                        int userid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
                        List<Tb_StudentTransfer> lsttransfer = db.Tb_StudentTransfer.Where(z => z.Status == false && z.TransferTo == userid).ToList();

                        if (lsttransfer.Count > 0)
                        {
                            <a href="/Tb_StudentTransfer/ListOfStudent">
                                <strong>Alert:</strong> <span>
                                    @lsttransfer.Count
                                    Student(s) Transfer Request is Pending
                                </span>
                            </a>
                        }

                        else
                        {
                            <strong>Welcome To:</strong> <span> Sethi Study Circle. </span>

                        }
                    }
                </div>
                <div class="block">
                    <a href="#page-stats" class="block-heading" data-toggle="collapse">Latest Stats</a>
                    <div id="page-stats" class="block-body collapse in">
                        <div class="stat-widget-container">
                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            DateTime date3=DateTime.Now.Date;
                                            int tcount = db.MaEnqFollows.Where(w => w.CDate == date3.Date).Count();
                                        }@tcount
                                    </p>
                                    <p class="detail">
                                       <a href="/home/todaywork">Today Work</a>
                                    </p>
                                </div>
                            </div>

                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            int count = common.GetPendingTransferCount();
                                        }@count
                                    </p>
                                    <p class="detail">
                                        Total Shifting
                                    </p>
                                </div>
                            </div>
                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            //System.Data.DataTable dtpend = new System.Data.DataTable();
                                            //dtpend = st.GetPendingFollowComplete("Enquiry");

                                            int pendcount = st.GetEnquiryCount();
                                        }
                                        @pendcount
                                    </p>
                                    <p class="detail">
                                        <a href='/MaEnqFollow/PendingFollowUp?uid=@uid'>My Enquiry Follow Up</a>
                                    </p>
                                </div>
                            </div>

                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            //System.Data.DataTable dtpend1 = new System.Data.DataTable();
                                            //dtpend1 = st.GetPendingFollowComplete("Enquiry");
                                            int Pendingtotal = st.GetTotalEnquiryCount();
                                        }
                                        @Pendingtotal
                                    </p>
                                    <p class="detail">
                                        Academic Follow Up
                                    </p>
                                </div>
                            </div>

                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            //System.Data.DataTable dtpend1 = new System.Data.DataTable();
                                            //dtpend1 = st.GetPendingFollowComplete("Enquiry");
                                            int Pendingtotal2 = st.GetTotalVisaCount();
                                        }
                                        @Pendingtotal2
                                    </p>
                                    <p class="detail">
                                        Total VISA Follow Up
                                    </p>
                                </div>
                            </div>

                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            int pendcountmock = st.GetMockTestCount();
                                        }
                                        @pendcountmock
                                    </p>
                                    <p class="detail">
                                        <a href="/MaEnqFollow/PendingMockFollowUp">Mock Test Follow Up</a>
                                    </p>
                                </div>
                            </div>
                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            int pendcountielts = st.GetIELTSCount();
                                        }
                                        @pendcountielts
                                    </p>
                                    <p class="detail">
                                        <a href="/MaEnqFollow/PendingIeltsFollowUp">IELTS Exam Follow Up</a>
                                    </p>
                                </div>
                            </div>
                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{

                                            System.Data.DataTable dtpendvisa = new System.Data.DataTable();

                                            int pendvisa = st.GetPendingVisaCount();
                                        }
                                        @pendvisa

                                    </p>
                                    <p class="detail">
                                        <a href="/MaEnqFollow/PendingVisaFollowUp">Visa Follow Up</a>
                                    </p>
                                </div>
                            </div>
                            <div class="stat-widget">
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            int Pendingtotal1 = st.GetTotalLeftCounselEnquiryCount();
                                        }
                                        @Pendingtotal1
                                    </p>
                                    <p class="detail">
                                        Left Counselor's Enquiry
                                    </p>
                                </div>
                            </div>
                            <div class="stat-widget">
                                @{
                                    List<PendingEnqSummary> pend = st.EnqTypeCount();

                                }
                                <div class="stat-button">
                                    <p class="title">
                                        @{
                                            int? HotEn = pend.Where(x=>x.EnqType=="HOT").Select(x=>x.Cnt).FirstOrDefault();
                                            if (HotEn==null)
                                            {
                                                HotEn = 0;
                                            }
                                        }
                                       @HotEn
                                    </p>
                                    <p class="detail">
                                        Hot  Enquiry
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row-fluid">
                <div class="block span6">
                    <a href="#tablewidget" class="block-heading" data-toggle="collapse">
                        Total Shifting
                    </a>
                    <div id="tablewidget" class="block-body collapse in">
                        @Html.Action("_PendingStudentList", "Tb_StudentTransfer", userid)
                    </div>
                </div>
                <div class="block span6">
                    <a href="#widget1container" class="block-heading" data-toggle="collapse">
                        Enquiry Follow
                        Up
                    </a>
                    <div id="widget1container" class="block-body collapse in">
                        @{

                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Mobile
                                        </th>
                                        <th>
                                            Father's/Husband's No.
                                        </th>
                                        <th>
                                            Date
                                        </th>
                                        <th>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @{int totaldisplay = 0;

                                      

                                    }
                                    @foreach (System.Data.DataRow dr in dt.Rows)
                                    {
                                        int id = Convert.ToInt32(dr["Id"].ToString());
                                        MaEnquiry enq = db.MaEnquiries.Where(z => z.Id == id).First();
                                        string Color = "";
                                        if (enq.EnqType == "HOT")
                                        {
                                            Color = "#d05656";
                                        }
                                        if (db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "Enquiry" && z.Enqstatus == "Close").Count() == 0)
                                        {
                                            <tr style="color:@Color">
                                                <td>
                                                    <i class="icon-user"></i>@dr["FirstName"].ToString() @dr["LastName"].ToString()
                                                </td>
                                                <td>
                                                    @dr["Mobile"].ToString()
                                                </td>
                                                <td>
                                                    @dr["AlternateNo"].ToString()
                                                </td>
                                                <td>
                                                    @{
                                                        DateTime? penddt = new DateTime();
                                                        string dpending = "";
                                                        try
                                                        {
                                                            penddt = db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "Enquiry" && z.Enqstatus == "Open").OrderByDescending(z => z.Id).Select(z => z.NextDate).First();
                                                            dpending = String.Format("{0:dd MMM,yyyy}", penddt);
                                                        }
                                                        catch (Exception)
                                                        {
                                                        }
                                                    }
                                                    @dpending
                                                </td>
                                                <td>
                                                    @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = dr["Id"].ToString(), reftype = "Enquiry", name = @dr["FirstName"].ToString() + " " + @dr["LastName"].ToString(), refno = dr["Id"].ToString() }, new { @class = "editAcBtn" }, null)
                                                    |
                                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "MaEnquiry", new { id = dr["Id"].ToString() }, null, null)
                                                </td>
                                            </tr>

                                                                totaldisplay++;
                                                                if (totaldisplay == 3)
                                                                {
                                                                    break;
                                                                }
                                                            }
                                                        }
                                </tbody>
                            </table>
                            <p>
                                <a href='/MaEnqFollow/PendingFollowUp?uid=@uid'>More...</a>
                            </p>

                        }
                    </div>
                </div>
            </div>
            <div class="row-fluid">
                <div class="block span6">
                    <div class="block-heading">
                        <a href="#widget2container" data-toggle="collapse">Mock Test Follow Up</a>
                    </div>
                    <div id="widget2container" class="block-body collapse in">
                        @{

                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Mobile
                                        </th>
                                        <th>
                                            Date
                                        </th>
                                        <th>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @{

                                        int totalmock = 0;
                                        System.Data.DataTable dtpendmock = new System.Data.DataTable();
                                        dtpendmock = st.GetPendingMockComplete(0);

                                    }
                                    @foreach (System.Data.DataRow dr in dtpendmock.Rows)
                                    {
                                        int id = Convert.ToInt32(dr["Id"].ToString());
                                        if (db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "MockTest" && (z.Enqstatus == "Close" || z.Enqstatus == "Move To Visa")).Count() == 0)
                                        {
                                            <tr>
                                                <td>
                                                    <i class="icon-user"></i>@dr["FirstName"].ToString() @dr["LastName"].ToString()
                                                </td>
                                                <td>
                                                    @dr["Mobile"].ToString()
                                                </td>
                                                <td>
                                                    @{
                                                        DateTime? penddt = new DateTime();
                                                        string dpending = "";
                                                        try
                                                        {
                                                            penddt = db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "MockTest" && z.Enqstatus == "Open").OrderByDescending(z => z.Id).Select(z => z.NextDate).First();
                                                            dpending = String.Format("{0:dd MMM,yyyy}", penddt);
                                                        }
                                                        catch (Exception)
                                                        {
                                                        }

                                                    }
                                                    @dpending
                                                </td>
                                                <td>
                                                    @{
                                                        Tb_MockTest mock = db.Tb_MockTest.Where(z => z.Id == id).First();
                                                        MaAdmission adm = db.MaAdmissions.Where(z => z.Id == mock.StudentId).First();

                                                        @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_MockCreate", "MaEnqFollow", new { id = dr["Id"].ToString(), reftype = "MockTest", name = dr["FirstName"].ToString(), rollno = adm.RollNo,enqid=adm.EnquiryId }, new { @class = "editAcBtn" }, null)

                                                    }
                                                </td>
                                            </tr>

                                                                totalmock++;
                                                                if (totalmock == 3)
                                                                {
                                                                    break;
                                                                }
                                                            }
                                                        }
                                </tbody>
                            </table>
                            <p>
                                <a href="/MaEnqFollow/PendingMockFollowUp">More...</a>
                            </p>

                        }
                    </div>
                </div>
                <div class="block span6">
                    <a href="#widget3container" class="block-heading" data-toggle="collapse">
                        IELTS Exam
                        Follow Up
                    </a>
                    <div id="widget3container" class="block-body collapse in">
                        @{

                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Mobile
                                        </th>
                                        <th>
                                            Date
                                        </th>
                                        <th>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @{int totalielts = 0;
                                        int? rollno = 0;
                                        string name = "";
                                        System.Data.DataTable dtpendielts = new System.Data.DataTable();
                                        dtpendielts = st.GetPendingIELTSComplete();

                                    }
                                    @foreach (System.Data.DataRow dr in dtpendielts.Rows)
                                    {
                                        int id = Convert.ToInt32(dr["Id"].ToString());
                                        if (db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "IELTS" && (z.Enqstatus == "Close" || z.Enqstatus == "Move To Visa")).Count() == 0)
                                        {
                                            try
                                            {
                                                string stutype = dr["StudentType"].ToString();
                                                Tb_IELTSResult objiel = db.Tb_IELTSResult.Where(z => z.Id == id).First();
                                                <tr>
                                                    @{ if (stutype == "Admission")
                                                        {
                                                            MaAdmission adm = db.MaAdmissions.Where(z => z.Id == objiel.StudentId).First();
                                                            rollno = adm.RollNo;
                                                            name = adm.FirstName + " " + adm.LastName;
                                                            <td>
                                                                <i class="icon-user"></i>@adm.FirstName @adm.LastName
                                                            </td>
                                                            <td>
                                                                @adm.Mobile
                                                            </td>
                                                        }
                                                        else
                                                        {
                                                            MaEnquiry adm = db.MaEnquiries.Where(z => z.Id == objiel.StudentId).First();
                                                            rollno = adm.Id;
                                                            name = adm.FirstName + " " + adm.LastName;
                                                            <td>
                                                                <i class="icon-user"></i>@adm.FirstName @adm.LastName
                                                            </td>
                                                            <td>
                                                                @adm.Mobile
                                                            </td>
                                                        }
                                                    }
                                                    <td>
                                                        @{
                                                            DateTime? penddt = db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "IELTS" && z.Enqstatus == "Open").OrderByDescending(z => z.Id).Select(z => z.NextDate).First();
                                                            string dpending = String.Format("{0:dd MMM,yyyy}", penddt);
                                                        }
                                                        @dpending
                                                    </td>
                                                    <td>

                                                        @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_IELTSCreate", "MaEnqFollow", new { id = dr["Id"].ToString(), reftype = "IELTS", name = name, refno = rollno }, new { @class = "editAcBtn" }, null)

                                                    </td>
                                                </tr>

                                                                        totalielts++;
                                                                        if (totalielts == 3)
                                                                        {
                                                                            break;
                                                                        }
                                                                    }
                                                                    catch (Exception ex)
                                                                    { }

                                                                }
                                                            }
                                </tbody>
                            </table>
                            <p>
                                <a href="/MaEnqFollow/PendingIELTSFollowUp">More...</a>
                            </p>


                        }
                    </div>
                </div>
            </div>
            <div class="row-fluid">
                <div class="block span6">
                    <div class="block-heading">
                        <a href="#widget6container" data-toggle="collapse">Visa Follow Up</a>
                    </div>
                    <div id="widget6container" class="block-body collapse in">
                        @Html.Action("_PendingVisaFollow", "MaEnqFollow")
                    </div>
                </div>
                <div id="editDialog" title="Add Follow Up" style="width: 556px">
                </div>
                <div class="block span6">
                    <a href="#widget1container" class="block-heading" data-toggle="collapse">
                        Left Counselor's Enquiry Follow
                        Up
                    </a>
                    <div id="widget1container" class="block-body collapse in">
                        @{
                            Status st1 = new Status();
                            System.Data.DataTable dt1 = st.GetLeftCounselPendingFollow("Enquiry", 0);
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Mobile
                                        </th>
                                        <th>
                                            Father's/Husband's No.
                                        </th>
                                        <th>
                                            Date
                                        </th>
                                        <th>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @{int totaldisplay1 = 0;

                                        int uid1 = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);

                                    }
                                    @foreach (System.Data.DataRow dr in dt1.Rows)
                                    {
                                        int id = Convert.ToInt32(dr["Id"].ToString());
                                        if (db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "Enquiry" && z.Enqstatus == "Close").Count() == 0)
                                        {
                                            <tr>
                                                <td>
                                                    <i class="icon-user"></i>@dr["FirstName"].ToString() @dr["LastName"].ToString()
                                                </td>
                                                <td>
                                                    @dr["Mobile"].ToString()
                                                </td>
                                                <td>
                                                    @dr["AlternateNo"].ToString()
                                                </td>
                                                <td>
                                                    @{
                                                        DateTime? penddt = new DateTime();
                                                        string dpending = "";
                                                        try
                                                        {
                                                            penddt = db.MaEnqFollows.Where(z => z.ReferId == id && z.FollowUpType == "Enquiry" && z.Enqstatus == "Open").OrderByDescending(z => z.Id).Select(z => z.NextDate).First();
                                                            dpending = String.Format("{0:dd MMM,yyyy}", penddt);
                                                        }
                                                        catch (Exception)
                                                        {
                                                        }
                                                    }
                                                    @dpending
                                                </td>
                                                <td>
                                                    @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = dr["Id"].ToString(), reftype = "Enquiry", name = @dr["FirstName"].ToString() + " " + @dr["LastName"].ToString(), refno = dr["Id"].ToString() }, new { @class = "editAcBtn" }, null)
                                                    |
                                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "MaEnquiry", new { id = dr["Id"].ToString() }, null, null)
                                                </td>
                                            </tr>

                                                                totaldisplay1++;
                                                                if (totaldisplay1 == 3)
                                                                {
                                                                    break;
                                                                }
                                                            }
                                                        }
                                </tbody>
                            </table>
                            <p>
                                <a href='/MaEnqFollow/PendingLeftCounselFollowUp'>More...</a>
                            </p>

                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Confirmation</h4>
            </div>
            <div class="modal-body">
                Are You Sure You Want to Accept Transfer?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="btnAccept">Yes</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">No</button>

            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<div class="modal fade" id="basic2" tabindex="-1"  aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Confirmation</h4>
            </div>
            <div class="modal-body">
                Are You Sure You Want to Decline Transfer?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="btnAccept2">Yes</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">No</button>

            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
